IntelliJ does not recognize rvm gemsets

Hi,

I'm using IntelliJ with the Ruby plugin and it does not look like IntelliJ is detecting rvm SDKs with gemsets.  It only recognizes rvm SDKs. I've tried restarting IntelliJ many times hoping it would automatically detect the gemsets, I've tried modifying the gems bin directory for the SDK, but nothing seems to work.

I installed a trial version of RubyMine and it has no problems finding the rvm SDKs with their associated gemsets.  It works beautifully.

Let me know what I need to do to provide assistance in resolving this issue, thanks.

2 comments
Comment actions Permalink

Hello skim,

The version of the Ruby plugin available for IntelliJ IDEA 9 doesn't include
many of RubyMine's newer features, including the rvm support. We plan to
release an updated version of the plugin for IntelliJ IDEA X EAP soon, which
will include all of the current RubyMine functionality.

I'm using IntelliJ with the Ruby plugin and it does not look like
IntelliJ is detecting rvm SDKs with gemsets.  It only recognizes rvm
SDKs. I've tried restarting IntelliJ many times hoping it would
automatically detect the gemsets, I've tried modifying the gems bin
directory for the SDK, but nothing seems to work.

I installed a trial version of RubyMine and it has no problems finding
the rvm SDKs with their associated gemsets.  It works beautifully.

Let me know what I need to do to provide assistance in resolving this
issue, thanks.


--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Thanks for the response.  Look forward to the IDEA X EAP.

0

Please sign in to leave a comment.